AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
DatabaseGetCommand Class
DatabaseGetCommand Constructor
DatabaseGetCommand Methods
DatabaseGetCommand Properties

| DatabaseGetCommand Class

Retrieves an entry in the Asterisk database for a given family and key.
Returns 0 if is not set. Returns 1 if the variable is set and returns the value in parenthesis.
Example return code: 200 result=1 (testvariable)
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
DatabaseGetCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class DatabaseGetCommand : AGICommand

    Public Class DatabaseGetCommand
    	Inherits AGICommand

    public ref class DatabaseGetCommand : public AGICommand

    type DatabaseGetCommand =
        class
            inherit AGICommand
        end

The DatabaseGetCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| DatabaseGetCommand | Creates a new DatabaseGetCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Family | Get/Set
| Key | Get/Set the the key to retrieve.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace